routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

 // Route::get('/','HomeController@home');
  Route::get('/',function(){
 	 return view('hasen');
  });

Route::match(['get','post'],'/LogIn','LoginController@LoginControl')->name('Login')->middleware('throttle:3,1');
Route::get('home','HomeController@home')->name('Home');

/* Routes Accessible By Registerar */

Route::prefix('Registerars')->name('Registerar.')->middleware('Registerar')->group(function(){

	Route::get('{id}/LogOut','Registerar\LogOutController@LOgOut')->name('LogOut');
	Route::get('{id}/Profile','Registerar\ProfileController@ShowProfile')->name('Profile');
	Route::get('/Add_Patient','Registerar\PatientController@Add')->name('Add_Patient');
	Route::get('{id}/Search_Patient','Registerar\PatientController@Search_Patient')->name('Search_Patient');
	Route::get('{id1}/Send_Patient/{id2}','Registerar\PatientController@Send_Patient')->name('Send_Patient');
	Route::get('{id}/ChangeProfile','Common\ChangeProfileController@Index')->name('ChangeProfile');
	Route::post('{id}/UpdateProfile','Common\ChangeProfileController@UpdateProfile')->name('UpdateProfile');
	Route::get('{id}/UpdateImage','Common\ChangeProfileController@Show_Update_plate')->name('UpdateImage');
	Route::post('{id}/ImageUpdated','Common\ChangeProfileController@ImageUpdated')->name('ImageUpdated');
	Route::get('{id}/Show_Password_Template','Common\ChangeProfileController@Show_Password_Template')->name('Show_Password_Template');
	Route::post('{id}/ChangePassword','Common\ChangeProfileController@ChangePassword')->name('ChangePassword');
	
});

/* Routes Accessible By Doctors */
Route::prefix('Doctors')->name('Doctors.')->middleware('Doctors')->group(function(){
	Route::get('{id}/LogOut','Doctors\LogOutController@LogOut')->name('LogOut');

	Route::get('{id}/Profile','Doctors\ProfileController@ShowProfile')->name('Profile');

	Route::get('/SelectRoom','Common\RoomController@SelectRoom')->name('SelectRoom');

	Route::get('/Show_Patient_List','Doctors\PatientTaskController@Show_Patient_List')->name('Show_Patient_List');

	Route::get('{id1}/View_Patient_Data/{id2}','Doctors\PatientTaskController@View_Patient_Data')->name('View_Patient_Data');
	Route::get('{username}/Add_Patient_result/{clinic_id}','Doctors\PatientTaskController@Add_Patient_result')->name('Add_Patient_result');
	Route::post('{username}/Submit_Result/{clinic_id}','Doctors\PatientTaskController@Submit_Result')->name('Submit_Result');

	Route::get('{username}/Send_To_Phermacy/{clinic_id}','Doctors\PatientTaskController@Send_To_Phermacy')->name('Send_To_Phermacy');
	Route::get('Show_Medicine_Paper/{clinic_id}','Doctors\PatientTaskController@Show_Medicine_Paper')->name('Show_Medicine_Paper');
	Route::get('Labratory_Paper/{clinic_id}','Doctors\PatientTaskController@Labratory_Paper')->name('Labratory_Paper');
	Route::get('{doctor_id}/Send_To_Labratory/{clinic_id}','Doctors\PatientTaskController@Send_To_Labratory')->name('Send_To_Labratory');
	Route::get('Finish_Result/{clinic_id}','Doctors\PatientTaskController@Finish_Result')->name('Finish_Result');
	




});

/* Route Accessible By Phermacy */

Route::prefix('Phermacy')->name('Phermacy.')->middleware('Phermacy')->group(function(){
	Route::get('{id}/LogOut','Phermacy\LogOutController@LogOut')->name('LogOut');
	Route::get('{id}/Profile','Phermacy\ProfileController@ShowProfile')->name('Profile');
	Route::get('/SelectRoom','Common\RoomController@SelectRoom')->name('SelectRoom');
	Route::get('Show_Patient_List','Phermacy\PatientTaskController@Show_Patient_List')->name('Show_Patient_List');
	Route::get('/Show_Medical_Instruction/{clinic_id}','Phermacy\PatientTaskController@Show_Medical_Instruction')->name('Show_Medical_Instruction');
	Route::get('Finish_Patient/{clinic_id}','Phermacy\PatientTaskController@Finish_Patient')->name('Finish_Patient');

});

/* Route Accessible By Laboatorist */
Route::prefix('Labratory')->name('Labratory.')->middleware('Labratory')->group(function(){
	Route::get('{id}/LogOut','Labratory\LogOutController@LogOut')->name('LogOut');
	Route::get('{id}/Profile','Labratory\ProfileController@ShowProfile')->name('Profile');
	Route::get('/SelectRoom','Common\RoomController@SelectRoom')->name('SelectRoom');
	Route::get('/Show_Patient_List','Labratory\PatientTaskController@Show_Patient_List')->name('Show_Patient_List');
	Route::get('{username}/Show_Patient_Data/{clinic_id}','Labratory\PatientTaskController@Show_Patient_Data')->name('Show_Patient_Data');
	Route::get('{username}/Finish/{clinic_id}','Labratory\PatientTaskController@Finish')->name('Finish');
	Route::get('{username}/Add_Patient_Result/{clinic_id}','Labratory\PatientTaskController@Add_Patient_Result')->name('Add_Patient_Result');
	Route::get('/{username}/Submit_Result/{clinic_id}','Labratory\PatientTaskController@Submit_Result')->name('Submit_Result');

});

app/Phermacy.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\Phermacy as Authenticatable;
class Phermacy extends Authenticatable
{
    public $table='Phermacy';
    protected $keyType='char';
    public $incrementing=false;
    protected $primaryKey='username';
    protected $hidden=[
    'username','password','remember_token'
    ];

    protected $fillable=[
    'full_name','username','email','password','age','sex','graduated_college_university','photo','graduated_area','Graduated_status'
    ];
}

app/Http/Controllers/Phermacy/LogOutController.php
<?php

namespace App\Http\Controllers\Phermacy;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use App\Phermacy;

class LogoutController extends Controller
{
    public function LogOut(){
    	$username=Auth::guard('Phermacy')->user()->username;
    	Auth::guard('Phermacy')->logout();
    	
    	$find=Phermacy::find($username);
    	$find->active=0;
    	$find->save();

    	return redirect('/')->with('Success','Sign Out Successfully');
    }
}

app/Http/Controllers/Phermacy/PatientInfo.php
<?php

namespace App\Http\Controllers\Phermacy;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Servants\Daily_Servant;
use Illuminate\Support\Facades\Auth;
use App\CommonModel\Daily_Phermacy;
use Illuminate\Support\Carbon;
use App\room;

class PatientInfo extends Controller
{   
    
    public static function Number_Of_Patient(){
      $username=Auth::guard('Phermacy')->user()->username;
      $servant=Daily_Servant::find($username)->orderBy('id','desc')->first();
      $servant_room=$servant->daily_room;
      $patient_number=Daily_Phermacy::where('phermacy_room',$servant_room)->whereDate('created_at',Carbon::today())->whereNull('mark')->count();
      return $patient_number;
    }



    public static function Phermacy_Patient_List(){
    	$username=Auth::guard('Phermacy')->user()->username;
    	$phermacy=Daily_Servant::where('servant_id',$username)->orderBy('id','desc')->first();

    	$phermacy_room=$phermacy->daily_room;
    	$patient_list=room::find($phermacy_room)->Phermacy_Patient_List()->whereNull('daily_phermacy.mark')->whereDate('daily_phermacy.created_at',Carbon::today())->paginate(2);
    	

    	
    	return $patient_list;
    }
}

app/Http/Controllers/Phermacy/PatientTaskController.php
<?php

namespace App\Http\Controllers\Phermacy;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Controllers\Phermacy\PatientInfo;
use Illuminate\Support\Facades\Auth;
use App\CommonModel\Daily_Phermacy;
use Illuminate\Support\Carbon;
class PatientTaskController extends Controller
{    
    
    public function Show_Patient_List(){
    	$patient_number=PatientInfo::Number_Of_Patient();
    	$patient_list=PatientInfo::Phermacy_Patient_List();
    	return view('Phermacy.Show_Patient_List',['patient_list'=>$patient_list,'patient_number'=>$patient_number]);
    }

    public function Show_Medical_Instruction($clinic_id){
    	$patient_number=PatientInfo::Number_Of_Patient();
        $patient_data=Daily_Phermacy::where('clinic_id',$clinic_id)->whereNull('mark')->whereDate('created_at',Carbon::today())->orderBy('id','desc')->first();
    	return view('Phermacy.Show_Medical_Instruction',['patient_number'=>$patient_number,'patient_data'=>$patient_data]);
    }

    public function Finish_Patient($clinic_id){
    	$patient_data=Daily_Phermacy::where('clinic_id',$clinic_id)->whereNull('mark')->whereDate('created_at',Carbon::today())->orderBy('id','desc')->first();
    	$patient_data->mark=1;
    	$patient_data->phermacist_id=Auth::guard('Phermacy')->user()->username;
    	$patient_data->save();
    	return redirect()->route('Phermacy.Show_Patient_List')->with('message_success','finished Successfully');
    }


}

app/Http/Controllers/Phermacy/ProfileController.php
<?php

namespace App\Http\Controllers\Phermacy;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ProfileController extends Controller
{
    public function ShowProfile(){
    	return view('Phermacy.Profile');
    }
}

resources/views/Phermacy/Home.blade.php
@extends('ClinicLayout.Main')
@section('tittle','Phermacy')
@section('content')
<div class="container-fluid">
	@section('Sub_Content')
	<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <p class="navbar-brand " style="margin: auto;" >Astu Cms</p>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="{{route('Home')}}">Home<span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{{route('Phermacy.Show_Patient_List')}}">TodayPatient<span class="badge badge-info" style="float: right;">{{$patient_number}}</span></a>
      </li>
      
      <li class="nav-item">
        <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
      </li>
    </ul>
    <form class="form-inline mr-auto">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form>
    <div class="mr-5 dropdown">
    	<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span> {{Auth::guard('Phermacy')->user()->username}}</span>
          <i class="fas fa-user"></i>
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="{{route('Phermacy.LogOut',['id'=>Auth::guard('Phermacy')->user()->username])}}">LogOut</a>
          <a class="dropdown-item" href="{{route('Phermacy.Profile',['id'=>Auth::guard('Phermacy')->user()->username])}}">Profile</a>
    </div>
  </div>
</nav>
@show
</div>
@endsection

resources/views/Phermacy/Profile.blade.php
@extends('Phermacy.Home')
@section('Sub_Content')
@parent
<div class="container">
	<div class="row">
		<div class="col-md-8 col-sm-12">
			<div class="card">
				<div class="card-header text-center">
					Profile
				</div>
				<div class="card-body">
					<img src="{{asset(Auth::guard('Phermacy')->user()->photo)}}" class="rounded-circle card-img-top " style="width: 40%; height: 40%;" alt="user photo">

					<ul class="list-group list-unstyled">
						<li class="list-group-item"><b>Full Name</b><span class="badge" style="float: right;">{{Auth::guard('Phermacy')->user()->full_name}}</span></li>

						<li class="list-group-item"><b>E-mail</b><span class="badge" style="float: right;">{{Auth::guard('Phermacy')->user()->email}}</span></li>

						<li class="list-group-item"><b>Username</b><span class="badge" style="float: right;">{{Auth::guard('Phermacy')->user()->username}}</span></li>
						
						<li class="list-group-item"><b>Graduated_in</b><span class="badge" style="float: right;">{{Auth::guard('Phermacy')->user()->graduated_college_university}}</span></li>

						<li class="list-group-item"><b>Area of Studies</b><span class="badge" style="float: right;">{{Auth::guard('Phermacy')->user()->graduated_area}}</span></li>

						<li class="list-group-item"><b>sex</b><span class="badge" style="float: right;">{{Auth::guard('Phermacy')->user()->sex}}</span></li>

						<li class="list-group-item"><b>Age</b><span class="badge" style="float: right;">{{Auth::guard('Phermacy')->user()->age}}</span></li>

						<li class="list-group-item"><b>graduated_status</b><span class="badge" style="float: right;">{{Auth::guard('Phermacy')->user()->graduated_status}}</span></li>
					</ul>
				</div>	
			</div>
		</div>
	</div>
@endsection

resources/views/Phermacy/SelectRoom.blade.php
@extends('ClinicLayout.Main')
@section('tittle','Select_Room')
@section('content')
<div class="container" style="margin-top: 5%;">
	<div class="row">
		<div class="col-md-3">
			<div class="card">
				<div class="card-body">
					<div class="card-block">
						<div class="form-group">
							<form method="GET" action="{{route('Phermacy.SelectRoom')}}">
								<label for="room_name">Select Room</label>
								<select class="form-control" id="room_name" name="room">
									@foreach($room as $single)
									<option>{{$single->room_name}}</option>
									@endforeach
								</select><br>
								<button class="btn btn-primary" type="submit">Submit</button>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection

resources/views/Phermacy/Show_Medical_Instruction.blade.php
@extends('Phermacy.Home')
@section('Sub_Content')
@parent
<div class="container">
	<div class="card card-block mt-5" style="width: 20rem;">
		<div class="card-header text-info">
			Medical Result
		</div>
		<div class="card-body">
			<div class="card-text">
				{{$patient_data->ins_fr_do_to_pher}}
			</div>
		</div>
	</div><br>
	<a href="{{route('Phermacy.Finish_Patient',['clinic_id'=>$patient_data->clinic_id])}}" class="btn btn-link">finish</a>
</div>
@endsection

resources/views/Phermacy/Show_Patient_List.blade.php
@extends('Phermacy.Home')
@section('Sub_Content')
@parent
<div class="container">
	<div class="row">
		<div class="col-md-9">
			<div class="list-group list-unstyled">
			 @if(!empty($patient_list))
                @foreach($patient_list as $patient)
				 <div class="list-group-item">
				 	{{$patient->first_name.'  '.$patient->last_name}}
				 	<a href="{{route('Phermacy.Show_Medical_Instruction',['clinic_id'=>$patient->clinic_id])}}" class="btn btn-success" style="float: right;">See</a>
				 </div>
				@endforeach
			 @endif	
			</div>
			{{$patient_list->links()}}
		</div>
	</div>
</div>
@endsection